package com.ruoyi.doubledefense.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.doubledefense.domain.Contractor;

/**
 * 承包商Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-04
 */
public interface ContractorMapper extends BaseMapper<Contractor>
{
    /**
     * 查询承包商
     * 
     * @param id 承包商主键
     * @return 承包商
     */
    public Contractor selectContractorById(String id);

    /**
     * 查询承包商列表
     * 
     * @param contractor 承包商
     * @return 承包商集合
     */
    public List<Contractor> selectContractorList(Contractor contractor);

    /**
     * 新增承包商
     * 
     * @param contractor 承包商
     * @return 结果
     */
    public int insertContractor(Contractor contractor);

    /**
     * 修改承包商
     * 
     * @param contractor 承包商
     * @return 结果
     */
    public int updateContractor(Contractor contractor);

    /**
     * 删除承包商
     * 
     * @param id 承包商主键
     * @return 结果
     */
    public int deleteContractorById(String id);

    /**
     * 批量删除承包商
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteContractorByIds(String[] ids);
}
